Index: /orxonox/trunk/src/lib/event/key_mapper.cc
===================================================================
--- /orxonox/trunk/src/lib/event/key_mapper.cc	(revision 4832)
+++ /orxonox/trunk/src/lib/event/key_mapper.cc	(revision 4833)
@@ -56,31 +56,36 @@
 
 //! this is the mapping array from names to ids: enter all orxonox.conf keys here
-orxKeyMapping map[] = { {&KeyMapper::PEV_UP,                   "Up"},
-                        {&KeyMapper::PEV_DOWN,                 "Down"},
-                        {&KeyMapper::PEV_LEFT,                 "Left"},
-                        {&KeyMapper::PEV_RIGHT,                "Right"},
-                        {&KeyMapper::PEV_STRAFE_LEFT,          "StrafeLeft"},
-                        {&KeyMapper::PEV_STRAFE_RIGHT,         "StrafeRight"},
-
-                        {&KeyMapper::PEV_FIRE1,                "Fire"},
-                        {&KeyMapper::PEV_FIRE1,                "Fire1"},
-                        {&KeyMapper::PEV_FIRE2,                "Fire2"},
-                        {&KeyMapper::PEV_NEXT_WEAPON,          "Next"},
-                        {&KeyMapper::PEV_PREVIOUS_WEAPON,      "Prev"},
-
-
-                        {&KeyMapper::PEV_VIEW0,                "view0"},
-                        {&KeyMapper::PEV_VIEW1,                "view1"},
-                        {&KeyMapper::PEV_VIEW2,                "view2"},
-                        {&KeyMapper::PEV_VIEW3,                "view3"},
-                        {&KeyMapper::PEV_VIEW4,                "view4"},
-                        {&KeyMapper::PEV_VIEW5,                "view5"},
-
-                        {&KeyMapper::PEV_NEXT_WORLD,           "Next-World"},
-                        {&KeyMapper::PEV_PREVIOUS_WORLD,       "Prev-World"},
-
-                        {&KeyMapper::PEV_PAUSE,                "Pause"},
-                        {&KeyMapper::PEV_QUIT,                 "Quit"},
-                        {NULL, NULL}};
+/** @todo use globals.h for this.... everything is done there for those Options,
+ * and you do not have to care about The namings
+ */
+orxKeyMapping map[] = {
+  {&KeyMapper::PEV_UP,                   "Up"},
+  {&KeyMapper::PEV_DOWN,                 "Down"},
+  {&KeyMapper::PEV_LEFT,                 "Left"},
+  {&KeyMapper::PEV_RIGHT,                "Right"},
+  {&KeyMapper::PEV_STRAFE_LEFT,          "StrafeLeft"},
+  {&KeyMapper::PEV_STRAFE_RIGHT,         "StrafeRight"},
+
+  {&KeyMapper::PEV_FIRE1,                "Fire"},
+  {&KeyMapper::PEV_FIRE1,                "Fire1"},
+  {&KeyMapper::PEV_FIRE2,                "Fire2"},
+  {&KeyMapper::PEV_NEXT_WEAPON,          "Next"},
+  {&KeyMapper::PEV_PREVIOUS_WEAPON,      "Prev"},
+
+
+  {&KeyMapper::PEV_VIEW0,                "view0"},
+  {&KeyMapper::PEV_VIEW1,                "view1"},
+  {&KeyMapper::PEV_VIEW2,                "view2"},
+  {&KeyMapper::PEV_VIEW3,                "view3"},
+  {&KeyMapper::PEV_VIEW4,                "view4"},
+  {&KeyMapper::PEV_VIEW5,                "view5"},
+
+  {&KeyMapper::PEV_NEXT_WORLD,           "Next-World"},
+  {&KeyMapper::PEV_PREVIOUS_WORLD,       "Prev-World"},
+
+  {&KeyMapper::PEV_PAUSE,                "Pause"},
+  {&KeyMapper::PEV_QUIT,                 "Quit"},
+  {NULL, NULL}
+};
 
 
Index: /orxonox/trunk/src/lib/graphics/graphics_engine.cc
===================================================================
--- /orxonox/trunk/src/lib/graphics/graphics_engine.cc	(revision 4832)
+++ /orxonox/trunk/src/lib/graphics/graphics_engine.cc	(revision 4833)
@@ -45,10 +45,4 @@
 
   this->fullscreenFlag = 0;
-
-//  this->listModes();
-
-  // subscribe the resolutionChanged-event
-  EventHandler::getInstance()->subscribe(this, ES_GAME, EV_VIDEO_RESIZE);
-
 }
 
@@ -85,5 +79,4 @@
 int GraphicsEngine::initFromIniFile(IniParser* iniParser)
 {
-
   // looking if we are in fullscreen-mode
   const char* fullscreen = iniParser->getVar(CONFIG_NAME_FULLSCREEN, CONFIG_SECTION_VIDEO, "0");
@@ -101,6 +94,9 @@
 
   // searching for a usefull resolution
-  SubString resolution(iniParser->getVar(CONFIG_NAME_RESOLUTION, CONFIG_SECTION_VIDEO, "640x480"), 'x');
-  this->initVideo(atoi(resolution.getString(0)), atoi(resolution.getString(1)), 16);
+//  SubString resolution(iniParser->getVar(CONFIG_NAME_RESOLUTION, CONFIG_SECTION_VIDEO, "640x480"), 'x');
+  //resolution.debug();
+
+  //this->initVideo(atoi(resolution.getString(0)), atoi(resolution.getString(1)), 16);
+  this->initVideo(640,480,16);
 }
 
@@ -154,4 +150,9 @@
   glEnable(GL_DEPTH_TEST);
 
+
+  // subscribe the resolutionChanged-event
+  //EventHandler::getInstance()->subscribe(this, ES_GAME, EV_VIDEO_RESIZE);
+  //! @todo eventSystem craps up the Starting of orxonox -> see why.
+
   this->isInit = true;
 }
@@ -247,8 +248,62 @@
 
 /**
-   \brief if Textures should be enabled
+ * if Textures should be enabled
 */
 bool GraphicsEngine::texturesEnabled = true;
 
+
+
+/**
+ *
+ * @param show if The mouse-cursor should be visible
+ */
+void GraphicsEngine::showMouse(bool show)
+{
+  if (show)
+    SDL_ShowCursor(SDL_ENABLE);
+  else
+    SDL_ShowCursor(SDL_DISABLE);
+}
+
+/**
+ *
+ * @returns The Visinility of the mouse-cursor (true if visible, false if it is invisible)
+ */
+bool GraphicsEngine::isMouseVisible()
+{
+  if (SDL_ShowCursor(SDL_QUERY) == SDL_ENABLE)
+    return true;
+  else
+    return false;
+}
+
+/**
+ *
+ * @param steal If the Winodow-Managers Events should be stolen to this app
+ * (steals the mouse, and all WM-clicks)
+ *
+ * This only happens, if the HARD-Debug-level is set to 0,1,2, because otherwise a Segfault could
+ * result in the loss of System-controll
+ */
+void GraphicsEngine::stealWMEvents(bool steal)
+{
+#if DEBUG < 3
+   if (steal)
+     SDL_WM_GrabInput(SDL_GRAB_ON);
+   else SDL_WM_GrabInput(SDL_GRAB_OFF);
+#endif
+}
+
+/**
+ *
+ * @returns true if Events are stolen from the WM, false if not.
+ */
+bool GraphicsEngine::isStealingEvents()
+{
+   if (SDL_WM_GrabInput(SDL_GRAB_QUERY) == SDL_GRAB_ON)
+     return true;
+   else
+     return false;
+};
 
 
Index: /orxonox/trunk/src/lib/graphics/graphics_engine.h
===================================================================
--- /orxonox/trunk/src/lib/graphics/graphics_engine.h	(revision 4832)
+++ /orxonox/trunk/src/lib/graphics/graphics_engine.h	(revision 4833)
@@ -49,12 +49,8 @@
     int resolutionChanged(const SDL_ResizeEvent& resizeInfo);
 
-    /** @param show if The mouse-cursor should be visible */
-    inline static void showMouse(bool show) { (show)?SDL_ShowCursor(SDL_ENABLE):SDL_ShowCursor(SDL_DISABLE); };
-    /** @returns The Visinility of the mouse-cursor (true if visible, false if it is invisible) */
-    static bool isMouseVisible() { return (SDL_ShowCursor(SDL_QUERY) == SDL_ENABLE)?true:false; };
-    /** @param steal If the Winodow-Managers Events should be stolen to this app (steals the mouse, and all WM-clicks) */
-    static void stealWMEvents(bool steal) { (steal)?SDL_WM_GrabInput(SDL_GRAB_ON):SDL_WM_GrabInput(SDL_GRAB_OFF); };
-    /** @returns true if Events are stolen from the WM, false if not. */
-    static bool isStealingEvents() { if (SDL_GRAB_ON) return true; };
+    static void showMouse(bool show);
+    static bool isMouseVisible();
+    static void stealWMEvents(bool steal);
+    static bool isStealingEvents();
 
     static void enter2DMode();
Index: /orxonox/trunk/src/lib/util/substring.cc
===================================================================
--- /orxonox/trunk/src/lib/util/substring.cc	(revision 4832)
+++ /orxonox/trunk/src/lib/util/substring.cc	(revision 4833)
@@ -24,4 +24,5 @@
 #include "substring.h"
 
+#include "debug.h"
 #include <string.h>
 #include <assert.h>
@@ -91,2 +92,15 @@
     return NULL;
 }
+
+
+
+/**
+ * Some nice debug information about this SubString
+ */
+void SubString::debug() const
+{
+  PRINT(0)("Substring-information::count=%d ::", this->splittersCount);
+  for (int i = 0; i < this->splittersCount; i++)
+    PRINT(0)("s%d:%s::", i, this->strings[i]);
+  PRINT(0)("\n");
+}
Index: /orxonox/trunk/src/lib/util/substring.h
===================================================================
--- /orxonox/trunk/src/lib/util/substring.h	(revision 4832)
+++ /orxonox/trunk/src/lib/util/substring.h	(revision 4833)
@@ -17,4 +17,6 @@
   const char* getString( int i);
 
+  void debug() const;
+
  private:
   char**     strings;                      //!< strings produced from a single string splitted in multiple strings
Index: /orxonox/trunk/src/orxonox.cc
===================================================================
--- /orxonox/trunk/src/orxonox.cc	(revision 4832)
+++ /orxonox/trunk/src/orxonox.cc	(revision 4833)
@@ -52,5 +52,5 @@
 #include <string.h>
 
-int verbose = 4;
+int verbose = 3;
 
 using namespace std;
@@ -99,5 +99,6 @@
   ClassList::debug(0);
 
-  PRINT(3)("===================================================\n" \
+  PRINT(3)
+      ("===================================================\n" \
       "Thanks for playing orxonox.\n" \
       "visit: http://www.orxonox.ethz.ch for new versions.\n" \
@@ -127,6 +128,6 @@
 
 /**
-   \brief initialize Orxonox with command line
-*/
+ * initialize Orxonox with command line
+ */
 int Orxonox::init (int argc, char** argv)
 {
@@ -152,5 +153,5 @@
 
 /**
-   \brief initializes SDL and OpenGL
+ * initializes SDL and OpenGL
 */
 int Orxonox::initVideo()
@@ -167,6 +168,6 @@
 
 /**
-   \brief initializes the sound engine
-*/
+ * initializes the sound engine
+ */
 int Orxonox::initSound()
 {
@@ -179,6 +180,6 @@
 
 /**
- * @brief initializes input functions
-*/
+ * initializes input functions
+ */
 int Orxonox::initInput()
 {
@@ -186,12 +187,14 @@
 
   EventHandler::getInstance()->init();
-
-  return 0;
-}
-
-
-/**
-* @brief initializes network system
-*/
+  EventHandler::getInstance()->subscribe(GraphicsEngine::getInstance(), ES_ALL, EV_VIDEO_RESIZE);
+
+
+  return 0;
+}
+
+
+/**
+ * initializes network system
+ */
 int Orxonox::initNetworking()
 {
@@ -204,7 +207,7 @@
 
 /**
- * @brief initializes and loads resource files
- */
- int Orxonox::initResources()
+ * initializes and loads resource files
+ */
+int Orxonox::initResources()
 {
   PRINTF(3)("> Initializing resources\n");
@@ -264,10 +267,10 @@
 
 /**
-   \brief starts the orxonox game or menu
-
-   here is the central orxonox state manager. There are currently two states
-   - menu
-   - game-play
-   both states manage their states themselfs again.
+ *
+ * @brief starts the orxonox game or menu
+ * here is the central orxonox state manager. There are currently two states
+ * - menu
+ * - game-play
+ * both states manage their states themselfs again.
 */
 void Orxonox::start()
@@ -283,7 +286,7 @@
 
 /**
-   \brief handles sprecial events from localinput
-   \param event: an event not handled by the CommandNode
-*/
+ * handles sprecial events from localinput
+ * @param event: an event not handled by the CommandNode
+ */
 // void Orxonox::graphicsHandler(SDL_Event* event)
 // {
@@ -311,7 +314,8 @@
 **********************************/
 /**
-   \brief main function
-
-   here the journey begins
+ *
+ * @brief main function
+ *
+ * here the journey begins
 */
 int main(int argc, char** argv)
Index: /orxonox/trunk/src/story_entities/world.cc
===================================================================
--- /orxonox/trunk/src/story_entities/world.cc	(revision 4832)
+++ /orxonox/trunk/src/story_entities/world.cc	(revision 4833)
@@ -1033,5 +1033,5 @@
       this->dtS = (float)this->dt / 1000.0;
       this->gameTime += this->dtS;
-      //entity = entities->enumerate();
+
       tIterator<WorldEntity>* iterator = this->entities->getIterator();
       WorldEntity* entity = iterator->nextElement();
Index: /orxonox/trunk/src/util/track/track_manager.h
===================================================================
--- /orxonox/trunk/src/util/track/track_manager.h	(revision 4832)
+++ /orxonox/trunk/src/util/track/track_manager.h	(revision 4833)
@@ -29,9 +29,9 @@
 
 //! The default Curve-Type to set for the whole path (if not chosen otherwise).
-#define TMAN_DEFAULT_CURVETYPE    CURVE_BEZIER
+#define     TMAN_DEFAULT_CURVETYPE    CURVE_BEZIER
 //! A default value for the duration for each TrackElement
-#define TMAN_DEFAULT_DURATION     10
+#define     TMAN_DEFAULT_DURATION     10
 //! A default width for the width of a TrackElement
-#define TMAN_DEFAULT_WIDTH        10
+#define     TMAN_DEFAULT_WIDTH        10
 
 //! A Graph-Element, that holds the curve-structure of a Level.
Index: /orxonox/trunk/src/world_entities/weapons/weapon_manager.cc
===================================================================
--- /orxonox/trunk/src/world_entities/weapons/weapon_manager.cc	(revision 4832)
+++ /orxonox/trunk/src/world_entities/weapons/weapon_manager.cc	(revision 4833)
@@ -32,17 +32,12 @@
 WeaponManager::WeaponManager(int nrOfSlots)
 {
-  this->setClassID(CL_WEAPON_MANAGER, "WeaponManager");
-
-  for(int i = 0; i < W_MAX_CONFIGS; ++i)
-  {
-    this->configs[i].bUsed = false;
-    for(int j = 0; j < W_MAX_SLOTS; ++j)
-      this->configs[i].slots[j] = NULL;
-  }
+  this->init();
   this->nrOfSlots = nrOfSlots;
-  this->currConfID = W_CONFIG0;
-}
-
-
+}
+
+
+/**
+ * Destroys a WeaponManager
+ */
 WeaponManager::~WeaponManager()
 {
@@ -60,4 +55,17 @@
 }
 
+void WeaponManager::init()
+{
+  this->setClassID(CL_WEAPON_MANAGER, "WeaponManager");
+
+  for(int i = 0; i < W_MAX_CONFIGS; ++i)
+  {
+    this->configs[i].bUsed = false;
+    for(int j = 0; j < W_MAX_SLOTS; ++j)
+      this->configs[i].slots[j] = NULL;
+  }
+  this->currConfID = W_CONFIG0;
+
+}
 
 /**
@@ -162,5 +170,5 @@
  * @param second passed since last tick
  */
-void WeaponManager::tick(float sec)
+void WeaponManager::tick(float dt)
 {
   Weapon* w;
@@ -168,5 +176,5 @@
   {
     w = this->configs[this->currConfID].slots[i];
-    if( w != NULL) w->tick(sec);
+    if( w != NULL) w->tick(dt);
   }
 }
@@ -182,5 +190,6 @@
   {
     w = this->configs[this->currConfID].slots[i];
-    if( w != NULL) w->draw();
+    if( w != NULL)
+      w->draw();
   }
 }
Index: /orxonox/trunk/src/world_entities/weapons/weapon_manager.h
===================================================================
--- /orxonox/trunk/src/world_entities/weapons/weapon_manager.h	(revision 4832)
+++ /orxonox/trunk/src/world_entities/weapons/weapon_manager.h	(revision 4833)
@@ -56,5 +56,6 @@
 
 //! this is a weapon Configuration: it has up to 8 slots
-typedef struct weaponConfig {
+typedef struct weaponConfig
+{
   bool           bUsed;                       //!< is set to true, if this configuration is
   Weapon*        slots[8];
@@ -76,5 +77,5 @@
 
     void fire();
-    void tick(float sec);
+    void tick(float dt);
     void draw();
 